
Foreman - Bug #1992

NULL value in vlanid on subnets table raise an error

12/04/2012 04:18 AM - Romain Vrignaud

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category:    

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Having NULL value into vlanid on subnets

table was raising an error.

update subnets set vlanid=''; fixed the problem

Error trace :

Started GET "/locations/new" for 192.168.200.117 at Mon Dec 03 14:29:40 +0100 2012

Processing by LocationsController#new as HTML

Rendered common/_edit_habtm.erb (9.8ms)

Rendered common/_edit_habtm.erb (4.4ms)

Rendered taxonomy/_form.html.erb (22.5ms)

Rendered locations/new.html.erb within layouts/application (22.9ms)

Operation FAILED: undefined method `<=>' for nil:NilClass

Rendered home/_topbar.rhtml (3.3ms)

Rendered common/500.rhtml within layouts/application (10.8ms)

Completed 500 Internal Server Error in 40ms (Views: 11.6ms | ActiveRecord: 0.4ms)

Associated revisions

Revision 9f9effa8 - 12/24/2012 10:53 AM - Joseph Magen

fixes #1992 sort does not fail if vlanid is null

History

#1 - 12/24/2012 09:19 AM - Joseph Magen

- Status changed from New to Ready For Testing

- Assignee set to Joseph Magen

fixed

https://github.com/theforeman/foreman/pull/330

#2 - 12/24/2012 12:40 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9f9effa8b4dba071ae2c6d68c87d61502beb76d5.
